# GENERIC RPA HOOKS

This is a set of generic rpa hooks.

## kill-processes

### Synopsis

```
generic/kill-processes -m <min-uid>
```

### Description

Kills processes of users with UID >= min-uid

## ssh-user-filter

### Synopsys

```
generic/ssh-user-filter lock
generic/ssh-user-filter unlock
generic/ssh-user-filter assign <place> <username>
generic/ssh-user-filter unassign <place>
```

### Description

Depends on ssh-user-filter-helper. Lock switches filtering on and
unlock off, both should be called on setup and cleanup events.
Filtering means that only root and users that are assigned are able to
log in. Note: Since ssh-user-filter-helper could be used by other
pieces of software, more users are possibly allowed to login. This
should be prohibited unless you know what you are doing.

Assign and unassign will allow users to login and are ment to be
called on assign and unassign events.
